Package org.apache.wiki.api.exceptions

## Class WikiI18nException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.api.exceptions.WikiI18nException

All Implemented Interfaces:
  `java.io.Serializable`

    public class WikiI18nException
    extends WikiException

A generic Wiki exception, meant to carry key & args to construct i18n messages to show meaningful messages to end-user. Classes and/or JSPs on the web tier are responsible of constructing the appropiate message.

Since:
  2.9.1
See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.Object[]` `args` arguments needed to construct the i18n message associated with the exception.

### Constructor Summary

Constructors
`WikiI18nException​(java.lang.String key, java.lang.Object... args)` Constructs an exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object[]` `getArgs()` getter.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### args

    protected final java.lang.Object[] args

arguments needed to construct the i18n message associated with the exception.

### Constructor Detail

#### WikiI18nException

    public WikiI18nException​(java.lang.String key,
                             java.lang.Object... args)

Constructs an exception.

Parameters:
  `key` - the key corresponding to the i18n message in the exception.
  `args` - arguments needed to construct the i18n message associated with the exception.

### Method Detail

#### getArgs

    public java.lang.Object[] getArgs()

getter.

Returns:
  arguments needed to construct the i18n message associated with the exception.